Package com.verisign.epp.codec.relateddomainext

## Class EPPRelatedDomainExtAuthInfo

- java.lang.Object
- - com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtAuthInfo

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRelatedDomainExtAuthInfo
      extends java.lang.Object
      implements EPPCodecComponent

  Represents authorization information which is a shared structure been used by other mapping such as domain and contact mappings. This object structure is a direct mapping from the data type `authInfo` in the EPP Shared Structure Schema (with the name space `eppcom`).
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static java.lang.String` | `ATTR_ROID` | XML Element roid attribute name of `EPPRelatedDomainExtAuthInfo` root element.
    `protected static java.lang.String` | `ELM_EXT` | XML Element name extensible authorization type
    `protected static java.lang.String` | `ELM_PW` | XML Element name password authorization type
    `protected EPPCodecComponent` | `ext` | Extension authorization information.
    `protected java.lang.String` | `password` | Password authorization information.
    `protected java.lang.String` | `roid` | roid.
    `protected short` | `type` | type, and default value is `TYPE_PW`
    `static short` | `TYPE_EXT` | Extensible auth info type.
    `static short` | `TYPE_PW` | password auth info type

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRelatedDomainExtAuthInfo()` | Default constructor that must have the password or extension attributes set before calling `encode`.
    `EPPRelatedDomainExtAuthInfo​(EPPCodecComponent aExt)` | Constructor that takes just the authorization extension.
    `EPPRelatedDomainExtAuthInfo​(java.lang.String aPassword)` | Constructor that takes just the authorization password.
    `EPPRelatedDomainExtAuthInfo​(java.lang.String aRootNS, java.lang.String aRootName, EPPCodecComponent aExt)` | Constructor that takes a root elemeent and the authorization extension.
    `EPPRelatedDomainExtAuthInfo​(java.lang.String aRootNS, java.lang.String aRootName, java.lang.String aPassword)` | Constructor that takes the root element and the authorization password.
    `EPPRelatedDomainExtAuthInfo​(java.lang.String aRootNS, java.lang.String aRootName, java.lang.String aRoid, java.lang.String aPassword)` | Constructor that takes the root element, the authorization password, and the roid.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` | Clone `EPPRelatedDomainExtAuthInfo`.
    `void` | `decode​(org.w3c.dom.Element aElement)` | Decode the EPPRelatedDomainExtAuthInfo attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Encode a DOM Element tree from the attributes of the EPPRelatedDomainExtAuthInfo instance.
    `boolean` | `equals​(java.lang.Object aObject)` | implements a deep `EPPRelatedDomainExtAuthInfo` compare.
    `java.lang.String` | `getAuthInfo()` | Deprecated. Replaced by `getPassword()`.
    `EPPCodecComponent` | `getExt()` | Gets the extension authorization.
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getPassword()` | Gets the password authorization information.
    `java.lang.String` | `getRoid()` | Get Registry Object IDentifier (ROID).
    `java.lang.String` | `getRootName()` | Get root name such as domain or contact.
    `java.lang.String` | `getRootNS()` | Gets the root element XML namespace URI.
    `short` | `getType()` | Get the type of the auth info.
    `void` | `setAuthInfo​(java.lang.String aPassword)` | Deprecated. Replaced by `setPassword(String)`.
    `void` | `setExt​(EPPCodecComponent aExt)` | Sets the extension authorization information.
    `void` | `setPassword​(java.lang.String aPassword)` | Sets the password authorization information.
    `void` | `setRoid​(java.lang.String aRoid)` | Set Registry Object IDentifier (ROID).
    `void` | `setRootName​(java.lang.String aRootNS, java.lang.String newRootName)` | Set root name and XML namespace.
    `void` | `setType​(short aType)` | Set auth info type.
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_PW

          public static final short TYPE_PW

      password auth info type
      See Also:
        Constant Field Values

    - #### TYPE_EXT

          public static final short TYPE_EXT

      Extensible auth info type.
      See Also:
        Constant Field Values

    - #### ELM_PW

          protected static final java.lang.String ELM_PW

      XML Element name password authorization type
      See Also:
        Constant Field Values

    - #### ELM_EXT

          protected static final java.lang.String ELM_EXT

      XML Element name extensible authorization type
      See Also:
        Constant Field Values

    - #### ATTR_ROID

          protected static final java.lang.String ATTR_ROID

      XML Element roid attribute name of `EPPRelatedDomainExtAuthInfo` root element.
      See Also:
        Constant Field Values

    - #### password

          protected java.lang.String password

      Password authorization information.

    - #### ext

          protected EPPCodecComponent ext

      Extension authorization information.

    - #### type

          protected short type

      type, and default value is `TYPE_PW`

    - #### roid

          protected java.lang.String roid

      roid.

  - ### Constructor Detail

    - #### EPPRelatedDomainExtAuthInfo

          public EPPRelatedDomainExtAuthInfo()

      Default constructor that must have the password or extension attributes set before calling `encode`.

    - #### EPPRelatedDomainExtAuthInfo

          public EPPRelatedDomainExtAuthInfo​(java.lang.String aPassword)

      Constructor that takes just the authorization password.
      Parameters:
        `aPassword` - Authorization password

    - #### EPPRelatedDomainExtAuthInfo

          public EPPRelatedDomainExtAuthInfo​(java.lang.String aRootNS,
                                             java.lang.String aRootName,
                                             java.lang.String aPassword)

      Constructor that takes the root element and the authorization password.
      Parameters:
        `aRootNS` - Root element namespace URI
        `aRootName` - Root element of auth info.
        `aPassword` - Authorization password

    - #### EPPRelatedDomainExtAuthInfo

          public EPPRelatedDomainExtAuthInfo​(java.lang.String aRootNS,
                                             java.lang.String aRootName,
                                             java.lang.String aRoid,
                                             java.lang.String aPassword)

      Constructor that takes the root element, the authorization password, and the roid.
      Parameters:
        `aRootNS` - Root element namespace URI
        `aRootName` - Root element of auth info.
        `aRoid` - Roid of the Registrant
        `aPassword` - Authorization password

    - #### EPPRelatedDomainExtAuthInfo

          public EPPRelatedDomainExtAuthInfo​(EPPCodecComponent aExt)

      Constructor that takes just the authorization extension.
      Parameters:
        `aExt` - Extension authorization element

    - #### EPPRelatedDomainExtAuthInfo

          public EPPRelatedDomainExtAuthInfo​(java.lang.String aRootNS,
                                             java.lang.String aRootName,
                                             EPPCodecComponent aExt)

      Constructor that takes a root elemeent and the authorization extension.
      Parameters:
        `aRootNS` - Root element namespace URI
        `aRootName` - Root element of auth info.
        `aExt` - Extension authorization element

  - ### Method Detail

    - #### getRoid

          public java.lang.String getRoid()

      Get Registry Object IDentifier (ROID).
      Returns:
        Registry Object IDentifier (ROID)

    - #### setRoid

          public void setRoid​(java.lang.String aRoid)

      Set Registry Object IDentifier (ROID).
      Parameters:
        `aRoid` - The Registry Object IDentifier (ROID) value.

    - #### getRootNS

          public java.lang.String getRootNS()

      Gets the root element XML namespace URI.
      Returns:
        root element XML namespace URI

    - #### getRootName

          public java.lang.String getRootName()

      Get root name such as domain or contact.
      Returns:
        String

    - #### setRootName

          public void setRootName​(java.lang.String aRootNS,
                                  java.lang.String newRootName)

      Set root name and XML namespace.
      Parameters:
        `aRootNS` - Root element namespace URI
        `newRootName` - String

    - #### getAuthInfo

          @Deprecated
          public java.lang.String getAuthInfo()

      Deprecated.
      Replaced by `getPassword()`.
      Gets the password authorization information.
      Returns:
        Password

    - #### getPassword

          public java.lang.String getPassword()

      Gets the password authorization information.
      Returns:
        Authorization password

    - #### setPassword

          public void setPassword​(java.lang.String aPassword)

      Sets the password authorization information.
      Parameters:
        `aPassword` - Authorization password

    - #### getExt

          public EPPCodecComponent getExt()

      Gets the extension authorization.
      Returns:
        Authorization extension

    - #### setExt

          public void setExt​(EPPCodecComponent aExt)

      Sets the extension authorization information.
      Parameters:
        `aExt` - Authorization extension

    - #### setAuthInfo

          @Deprecated
          public void setAuthInfo​(java.lang.String aPassword)

      Deprecated.
      Replaced by `setPassword(String)`.
      Sets the password authorization information.
      Parameters:
        `aPassword` - Authorization password

    - #### getType

          public short getType()

      Get the type of the auth info.
      Returns:
        One of the `TYPE_` constants.

    - #### setType

          public void setType​(short aType)

      Set auth info type. The default value is `TYPE_PW`.
      Parameters:
        `aType` - One of the `TYPE_` constants

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRelatedDomainExtAuthInfo`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRelatedDomainExtAuthInfo`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPRelatedDomainExtAuthInfo attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - - Root DOM Element to decode EPPDomainContact from.
      Throws:
        `EPPDecodeException` - - Unable to decode aElement.

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the EPPRelatedDomainExtAuthInfo instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element - Root DOM Element representing the EPPRelatedDomainExtAuthInfo instance.
      Throws:
        `EPPEncodeException` - - Unable to encode EPPRelatedDomainExtAuthInfo instance.

    - #### equals

          public boolean equals​(java.lang.Object aObject)

      implements a deep `EPPRelatedDomainExtAuthInfo` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRelatedDomainExtAuthInfo` instance to compare with
      Returns:
        `true` if equal; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.